pipeline{
    agent any
    stages{
        stage ('Build the project'){
            steps{
                echo 'Building the mobilestore api'
                sh 'mvn clean install'
            }
        }
        stage ('codequality analyser'){
            steps{
                echo 'codequality using sonar'
                sh '''
                mvn clean verify sonar:sonar \
                    -Dsonar.projectKey=Mobilestore \
                    -Dsonar.host.url=http://40.88.121.201:9000 \
                    -Dsonar.login=sqp_a4211cc6ce78a5e7cc57512c19f4e4d8f89df3ff
                    '''
            }
        }
        stage ('buiding the docker image'){
             steps{
            echo 'Docker image Build'
            sh 'docker build -t mobilestore .'
        }
        }
        stage('Deploy to dev'){
            steps{
                echo "Deploying to dev environment"
                sh 'docker rm -f mobile || true'
                sh 'docker run -d --name=mobile -p 8099:8099 mobilestore:latest'
            }
        }
       
    }
}